BSON_READER_NEW_FROM_FILE(3)

SYNOPSIS

            bson_reader_t *
            bson_reader_new_from_file (const char *path, bson_error_t *error);

PARAMETERS

    •   path: A filename in the host filename encoding.

    •   error: A bson_error_t.

DESCRIPTION

Creates a new bson_reader_t using the file denoted by filename.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A newly allocated bson_reader_t on success, otherwise NULL and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc